<?php

use CodeIgniter\Router\RouteCollection;

/** @var RouteCollection $routes */
$routes->setAutoRoute(true);

$routes->get('/', 'SiteInstitucional::index');
$routes->get('validar/certificado/(:any)', 'SiteInstitucional::validar/$1', ['as' => 'validar']);

$routes->group('cobrancas', ['namespace' => '\App\Controllers\Cobrancas'], static function (RouteCollection $routes) {
    $routes->get('/', 'Cobrancas::index', ['as' => 'cob']);
    $routes->match(['get', 'post', 'put'], '(.*)', 'Cobrancas::router', ['priority' => 1, 'as' => 'cob.to']);
});

$routes->group('app', ['namespace' => '\App\Controllers\Application'], static function (RouteCollection $routes) {
    $routes->match(['get', 'post', 'put'], '/', 'Application::index', ['as' => 'app']);
    $routes->match(['get', 'post', 'put'], '(.*)', 'Application::router', ['priority' => 1, 'as' => 'app.to']);
});

$routes->group('dash', ['namespace' => '\App\Controllers\Dashboard'], static function (RouteCollection $routes) {
    $routes->get('/', 'Dashboard::index', ['as' => 'dash']);
    $routes->match(['get', 'post', 'put'], '(.*)', 'Dashboard::router', ['priority' => 1, 'as' => 'dash.to']);
});

$routes->group('arquivo', [], static function (RouteCollection $routes) {
    $routes->get('imagem/(.*)', 'Arquivo::imagem', ['as' => 'arquivo.imagem']);
});

$routes->group('auth', [], static function (RouteCollection $routes) {
    $routes->get('/', 'Autenticacao::index', ['as' => 'auth']);
    $routes->get('register', 'Autenticacao::register', ['as' => 'auth.register']);
    $routes->get('access/(:any)', 'Autenticacao::access/$1', ['as' => 'auth.access']);
    $routes->get('islogged/(:any)', 'Autenticacao::islogged/$1', ['as' => 'auth.islogged']);
    $routes->get('logout/(:any)', 'Autenticacao::logout/$1', ['as' => 'auth.logout']);
    $routes->match(['get', 'post'], 'forgot/(:any)', 'Autenticacao::forgot/$1', ['as' => 'auth.forgot']);
    $routes->post('login/(:any)', 'Autenticacao::login/$1', ['as' => 'auth.login']);
});