<?php

namespace App\Enums;

enum StatusCertificadosEnum: int
{
    case AGUARDANDO = 0;
    case GERADO = 1;
    case CANCELADO = 2;
    case ATUALIZADO_AGUARDANDO = 3;
    case ATUALIZADO_GERADO = 4;
    case ATUALIZADO_CANCELADO = 5;

    /**
     * Retorna um array com o valor do case como chave e o nome do case como valor.
     *
     * @return array
     */
    public static function toArray(): array
    {
        helper(['nortedevbr', 'inflector']);
        $array = [];
        foreach (self::cases() as $case) {
            $array[$case->value] = ucfirst(strtolower(t(str_replace('_', ' ', $case->name))));
        }
        return $array;
    }

    public static function statusCancelado(): array
    {
        return [
            self::CANCELADO->value,
            self::ATUALIZADO_CANCELADO->value,
        ];
    }

    public static function statusGerado(): array
    {
        return [
            self::GERADO->value,
            self::ATUALIZADO_GERADO->value,
        ];
    }

    public static function statusAguardando(): array
    {
        return [
            self::AGUARDANDO->value,
            self::ATUALIZADO_AGUARDANDO->value,
        ];
    }

    public static function isGerado(int $status): bool
    {
        return in_array($status, self::statusGerado());
    }

    public static function isCancelado(int $status): bool
    {
        return in_array($status, self::statusCancelado());
    }

    public static function isAguardando(int $status): bool
    {
        return in_array($status, self::statusAguardando());
    }
}