<?= $this->extend('autenticacao/_layout') ?>

<?= $this->section('content') ?>

<div class="container-fluid">
    <form action="<?= url_to('auth.login', $tipo) ?>" method="post" class="row"
          enctype="multipart/form-data">
        <div id="display" class="col-12"></div>
        <div class="col d-flex flex-column gap-2">
            <div class="input-group">
                <label class="input-group-text" for="email">
                    <i class="bi bi-envelope"></i>
                </label>
                <input id="email" name="email" type="email" class="form-control"
                       placeholder="<?= t('Seu e-mail') ?>">
            </div>

            <div class="input-group">
                <label class="input-group-text" for="senha">
                    <i class="bi bi-key-fill"></i>
                </label>
                <input id="senha" name="senha" type="password" class="form-control"
                       placeholder="<?= t('Sua senha') ?>">
            </div>

            <div class="form-check">
                <input class="form-check-input" type="checkbox" id="lembre_me" name="lembre_me" checked>
                <label class="form-check-label" for="lembre_me">
                    <?= t('Manter conectado') ?>
                </label>
            </div>

            <div class="d-flex justify-content-between align-items-center">
                <button type="submit" class="btn btn-primary">
                    <?= t('Acessar') ?>
                </button>

                <a href="<?= url_to('auth.forgot', $tipo) ?>" class="btn btn-link">
                    <?= t('Recuperar senha!') ?>
                </a>
            </div>
        </div>
    </form>
</div>

<?= $this->endSection() ?>

<?= $this->section('js') ?>
<script type="module">
    import {formSubmit} from '/assets/js/Global.js';

    formSubmit('form');
</script>
<?= $this->endSection() ?>
