<?php
$locale = service('request')->getLocale();
?><!DOCTYPE html>
<html lang="<?= $locale ?>">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><?= $head->title ?></title>
    <link rel="stylesheet" href="<?= $sys->css('styles.css', '/dashboard') ?>">
    <?php
    echo link_tag(
        'https://cdn.datatables.net/v/bs5/jszip-3.10.1/dt-2.1.2/af-2.7.0/b-3.1.0/b-colvis-3.1.0/b-html5-3.1.0/b-print-3.1.0/cr-2.0.3/date-1.5.3/fc-5.0.1/fh-4.0.1/kt-2.12.1/r-3.0.2/rg-1.5.0/rr-1.5.0/sc-2.4.3/sb-1.7.1/sp-2.3.1/sl-2.0.3/sr-1.4.1/datatables.min.css'
    );
    echo link_tag('lib/node_modules/bootstrap-icons/font/bootstrap-icons.min.css');
    echo link_tag('lib/node_modules/sweetalert2/dist/sweetalert2.min.css');
    echo $this->renderSection('css');
    ?>
</head>
<body>

<main id="app">
    <div class="loading"></div>
    <aside class="main-menu">
        <?= $this->include('dashboard/include/main-menu') ?>
    </aside>
    <aside class="main-menu-mobile">
        <?= $this->include('dashboard/include/main-menu-mobile') ?>
    </aside>
    <section class="main-content position-relative">
        <div id="liveAlertPlaceholder" class="z-3 position-absolute top-0 end-0 mt-5 me-5"></div>
        <?= $this->renderSection('content') ?>
    </section>
</main>

<script>
    const LOCALE = '<?= $locale ?>';
</script>
<script type="module">
    import {Auth} from "/assets/js/Auth.js";

    const userData = await Auth.isLogged();

    if (userData.success) {
        document.querySelector('.loading').remove();
    }

    document.querySelectorAll('.user-name')?.forEach((span) => {
        span.innerHTML = Auth.firstName(userData.data.nome);
    })
</script>
<script src="<?= $sys->js('script.js', '/dashboard') ?>"></script>
<?php
echo script_tag('lib/node_modules/jquery/dist/jquery.js');

echo script_tag('https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.2.7/pdfmake.min.js');
echo script_tag('https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.2.7/vfs_fonts.js');
echo script_tag('https://cdn.datatables.net/v/bs5/jszip-3.10.1/dt-2.1.2/af-2.7.0/b-3.1.0/b-colvis-3.1.0/b-html5-3.1.0/b-print-3.1.0/cr-2.0.3/date-1.5.3/fc-5.0.1/fh-4.0.1/kt-2.12.1/r-3.0.2/rg-1.5.0/rr-1.5.0/sc-2.4.3/sb-1.7.1/sp-2.3.1/sl-2.0.3/sr-1.4.1/datatables.min.js');

echo script_tag('lib/node_modules/bootstrap/dist/js/bootstrap.bundle.min.js');
echo script_tag('lib/node_modules/sweetalert2/dist/sweetalert2.all.min.js');
echo script_tag('lib/node_modules/moment/moment.js');
echo script_tag('lib/node_modules/moment/locale/' . strtolower($locale) . '.js');
?>
<script>
    const swal = Swal.mixin({
        customClass: {
            confirmButton: "btn btn-theme mx-1",
            cancelButton: "btn btn-danger mx-1",
            denyButton: "btn btn-warning mx-1"
        },
        buttonsStyling: false,
        color: "#fff",
        background: "#212529"
    });

    const tooltipTriggerList = document.querySelectorAll('[data-bs-toggle="tooltip"]');
    const tooltipList = [...tooltipTriggerList].map(tooltipTriggerEl => new bootstrap.Tooltip(tooltipTriggerEl));

    <?php if ($getError): ?>
    alertNotify(' <?= $getError; ?>', 'danger');
    <?php endif; ?>
</script>
<?php
echo $this->renderSection('js');
?>
</body>
</html>
