<?= $this->extend('dashboard/_layout') ?>

<?= $this->section('content') ?>

<div class="container-fluid">
    <div class="row g-3">
        <div class="col-12 d-flex justify-content-between align-items-center">
            <h1>
                <?= tf((isset($certificadosInscritos) ? 'Editar' : 'Adicionar') . ' %s', t('inscrito')) ?><br/>
                <span class="text-white-50 fs-6 m-0 p-0">
                     ref.: <?= $entity->id . " - " . $entity->nome ?>
                </span>
            </h1>
            <div class="btn-toolbar" role="toolbar" aria-label="<?= t('Barra de ferramentas com grupos de botões') ?>">
                <div class="btn-group btn-group-sm" role="group" aria-label="<?= t('Grupo padrão') ?>">
                    <a href="<?= url_to('dash.to', 'certificados/editar/' . $entity->id) ?>"
                       class="btn btn-outline-theme">
                        <i class="bi bi-chevron-left me-1"></i>
                        <?= t('Voltar') ?>
                    </a>
                </div>
            </div>
        </div>

        <div class="col-12" id="notificacao"></div>

        <div class="col-12">
            <div class="card card-body">
                <form id="save" class="row g-3" method="post" enctype="multipart/form-data">

                    <div class="col-md-6">
                        <label for="nome" class="form-label"><?= t('Nome completo') ?></label>
                        <input id="nome" name="nome" value="<?= $certificadosInscritos->nome ?? null ?>"
                               type="text"
                               class="form-control">
                    </div>

                    <div class="col-md-4">
                        <label for="email" class="form-label"><?= t('E-mail') ?></label>
                        <input id="email" name="email" value="<?= $certificadosInscritos->email ?? null ?>"
                               type="email"
                               class="form-control">
                    </div>

                    <div class="col-md-2">
                        <label for="senha" class="form-label"><?= t('Senha') ?></label>
                        <input id="senha" name="senha" value="<?= $certificadosInscritos->senha ?? null ?>"
                               type="text"
                               class="form-control">
                    </div>

                    <div class="col-md-12">
                        <label for="texto" class="form-label"><?= t('Texto certificado') ?></label>
                        <textarea id="texto" name="texto" rows="3"
                                  class="form-control"><?= $certificadosInscritos->texto ?? null ?></textarea>
                    </div>

                    <div class="col-md-12">
                        <button type="submit" class="btn btn-theme">
                            <i class="bi bi-floppy me-1"></i>
                            <?= t(isset($certificadosInscritos) ? 'Atualizar' : 'Salvar') ?>
                        </button>
                    </div>

                </form>
            </div>
        </div>
    </div>
</div>

<?= $this->endSection() ?>

<?= $this->section('js') ?>
<script type="module">
    import {formSubmit, populateForm} from '/assets/js/Global.js';

    let formName = 'form[id=save]';
    formSubmit(formName, 'notificacao');
    populateForm(formName, <?=\App\Libraries\Suporte::arrayToJson($certificadosInscritos ?? null)?>);
</script>
<?= $this->endSection() ?>
