<?= $this->extend('dashboard/_layout') ?>

<?= $this->section('content') ?>

<div class="container-fluid">
    <div class="row g-3">
        <div class="col-12 d-flex justify-content-between align-items-center">
            <h1>
                <?= t('Modelo certificado') ?><br/>
                <span class="text-white-50 fs-6 m-0 p-0">
                     ref.: <?= $entity->Certificados->id . " - " . $entity->Certificados->nome ?>
                </span>
            </h1>
            <div class="btn-toolbar" role="toolbar" aria-label="<?= t('Barra de ferramentas com grupos de botões') ?>">
                <div class="btn-group btn-group-sm" role="group" aria-label="<?= t('Grupo padrão') ?>">
                    <a href="<?= url_to('dash.to', 'certificados/editar/' . $entity->Certificados->id) ?>"
                       class="btn btn-outline-theme">
                        <i class="bi bi-chevron-left me-1"></i>
                        <?= t('Voltar') ?>
                    </a>
                </div>
            </div>
        </div>
        <div class="col-md-4">

            <div class="card card-body mb-2">
                <h5>
                    <?= t('Personalizar certificado') ?>
                </h5>
                <p class="text-white-50"><?= t('Clique no texto no certificado para editar') ?></p>
                <form class="row g-3" enctype="multipart/form-data">
                    <div class="col-12">
                        <div class="form-check form-switch">
                            <input class="form-check-input" type="checkbox" role="switch" id="mode" value="portrait">
                            <label class="form-check-label" for="mode">Modo retrato</label>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <label for="frente" class="form-label">
                            <?= t('Imagem da frente') ?>
                        </label>
                        <input class="form-control" type="file" id="frente">
                    </div>
                    <div class="col-md-6">
                        <label for="verso" class="form-label">
                            <?= t('Imagem do verso') ?>
                        </label>
                        <input class="form-control" type="file" id="verso">
                    </div>
                    <div class="col-12">
                        <div class="input-group">
                            <label class="input-group-text" for="width">
                                <?= t('Largura da caixa') ?>
                            </label>
                            <input type="text" id="width-display" class="form-control" readonly
                                   aria-label="display">
                            <input type="range" id="width" max="100" min="1" class="form-range">
                        </div>
                    </div>
                    <div class="col-12">
                        <label for="font-family" class="form-label"><?= t('Fonte') ?></label>
                        <select id="font-family" class="form-select">
                            <option value="Arial">Arial</option>
                            <option value="Courier New">Courier New</option>
                            <option value="Georgia">Georgia</option>
                            <option value="Times New Roman">Times New Roman</option>
                            <option value="Verdana">Verdana</option>
                            <option value="Poppins, sans-serif">Poppins</option>
                        </select>
                    </div>
                    <div class="col-12">
                        <div class="input-group">
                            <label class="input-group-text" for="font-size">
                                <?= t('Tamanho da fonte') ?>
                            </label>
                            <input type="text" id="font-size-display" class="form-control" readonly
                                   aria-label="display">
                            <input type="range" id="font-size" max="5" min="0.1" step="0.1" class="form-range">
                        </div>
                    </div>
                    <div class="col-12">
                        <div class="input-group">
                            <label class="input-group-text" for="font-color">
                                <?= t('Cor da fonte') ?>
                            </label>
                            <input type="color" id="font-color" value="#000000" class="form-control-color">
                        </div>
                    </div>
                    <div class="col-12">
                        <div class="input-group">
                            <label class="input-group-text" for="background-color">
                                <?= t('Cor fundo da fonte') ?>
                            </label>
                            <input type="color" id="background-color" value="#ffffff" class="form-control-color">
                        </div>
                    </div>

                    <div class="col-12">
                        <label for="position" class="form-label"><?= t('Posição') ?></label>
                        <select id="position" class="form-select">
                            <option value="static"><?= t('Estática') ?></option>
                            <option value="absolute"><?= t('Absoluta') ?></option>
                        </select>
                    </div>
                    <div class="col-12 display-position" style="display: none">
                        <div class="input-group">
                            <label class="input-group-text" for="top">
                                <?= t('Referente ao topo') ?>
                            </label>
                            <input type="text" id="top-display" class="form-control" readonly aria-label="display">
                            <input type="range" id="top" max="100" min="0" class="form-range">
                        </div>
                    </div>
                    <div class="col-12 display-position" style="display: none">
                        <div class="input-group">
                            <label class="input-group-text" for="left">
                                <?= t('Referente a esquerda') ?>
                            </label>
                            <input type="text" id="left-display" class="form-control" readonly aria-label="display">
                            <input type="range" id="left" max="100" min="0" class="form-range">
                        </div>
                    </div>
                </form>
            </div>

            <div class="card card-body">
                <h5>
                    <?= t('Variáveis disponíveis') ?>
                </h5>
                <div class="list-group list-group-flush rounded">
                    <?php
                    foreach (\App\Libraries\CertificadosVariaveis::variaveis() as $var => $str):
                        $inputId = md5($var);
                        ?>
                        <div class="list-group-item list-group-item-dark d-flex justify-content-between align-items-center">
                            <div class="input-group me-2">
                                <input type="text" class="form-control form-control-sm" readonly value="<?= $var ?>"
                                       aria-label="<?= $inputId ?>" id="<?= $inputId ?>">
                                <button onclick="copiarParaAreaDeTransferencia('<?= $inputId ?>')"
                                        class="btn btn-sm btn-theme" data-bs-toggle="tooltip"
                                        data-bs-title="<?= t('Copiar para área de transferência') ?>">
                                    <i class="bi bi-copy"></i>
                                </button>
                            </div>
                            <i class="bi bi-question-circle" data-bs-toggle="tooltip"
                               data-bs-title="<?= t($str) ?>"></i>
                        </div>
                    <?php endforeach; ?>
                </div>
            </div>
        </div>

        <div class="col-md-8">
            <div class="row g-3 mb-2">
                <div class="col-12 text-end">
                    <button id="visualizar-pdf" class="btn btn-sm btn-primary me-2">
                        <i class="bi bi-eye me-1"></i>
                        <?= t('Visualizar modelo'); ?>
                    </button>

                    <button id="generate-pdf" class="btn btn-sm btn-theme">
                        <i class="bi bi-floppy me-1"></i>
                        <?= t('Salvar') ?>
                    </button>
                </div>
            </div>

            <div class="card card-body">
                <div id="editor" contenteditable="true" class="a4 landscape">
                    <?php if (!empty($entity->configuracoes)): echo $entity->configuracoes; else: ?>
                        <div class="picture">${QRCODE_URL_VALIDACAO}</div>
                        <h1 class="box" style="text-align: center; font-size: 1.5em">${TITULO}</h1>
                        <p class="box" style="text-align: justify; font-size: 1em">${TEXTO_COMPLEMENTAR}</p>
                        <p class="box" style="text-align: center; font-size: 1em">${DATA_EMISSAO}, ${LOCAL_EMISSAO}</p>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </div>
</div>

<?= $this->endSection() ?>

<?= $this->section('css') ?>
<style>
    .a4 {
        display: block;
        background-color: white;
        margin: 0 auto;
        color: black;
        padding: 3em;
        font-size: 1em;
        position: relative !important;
        background-image: url("<?=url_to('arquivo.imagem',$entity->frente??'')?>");
        background-position: center center;
        background-size: contain;
    }

    .a4 h1 {
        display: block;
        color: black;
        font-size: 1.5em;
    }

    .a4 p {
        display: block;
        font-size: 1em;
    }

    .portrait {
        width: 100%;
        max-width: 210mm;
        aspect-ratio: 210 / 297;
    }

    .landscape {
        width: 100%;
        max-width: 297mm;
        aspect-ratio: 297 / 210;
    }

    .box {
        border: 1px dashed rgba(0, 0, 0, .25);
    }

    .picture {
        display: block;
        text-align: center;
        width: 20vw;
        height: 4vw;
        background: rgba(0, 0, 0, .25);
        position: absolute;
        bottom: 0;
        left: 0;
        font-size: 0.75em;
        font-weight: bold;
        z-index: 20;
    }
</style>
<?= $this->endSection() ?>

<?= $this->section('js') ?>
<script type="module">
    import {AjaxRequest} from '/assets/js/AjaxRequest.js';
    import {copiarParaAreaDeTransferencia, rgbToHex, rgbaToHex, pxToRem} from '/assets/js/Global.js';

    const ajaxRequest = new AjaxRequest();
    const currentUrl = new URL(window.location.href);

    const editor = document.getElementById('editor');

    function applyStyle(style, value) {
        const selection = window.getSelection();
        if (selection.rangeCount > 0) {
            const range = selection.getRangeAt(0);
            const parent = range.startContainer.parentElement;
            if (parent && (parent.tagName === 'H1' || parent.tagName === 'P')) {
                parent.style[style] = value;
            }
        }
    }

    function updateInputs() {
        const selection = window.getSelection();
        if (selection.rangeCount > 0) {
            const range = selection.getRangeAt(0);
            const parent = range.startContainer.parentElement;
            if (parent && (parent.tagName === 'H1' || parent.tagName === 'P')) {
                document.getElementById('font-family').value = window.getComputedStyle(parent).fontFamily;
                document.getElementById('font-size').value = pxToRem(window.getComputedStyle(parent).fontSize);
                document.getElementById('font-size-display').value = pxToRem(parseInt(window.getComputedStyle(parent).fontSize));
                document.getElementById('font-color').value = rgbaToHex(window.getComputedStyle(parent).color);
                document.getElementById('background-color').value = rgbaToHex(window.getComputedStyle(parent).backgroundColor);
                document.getElementById('position').value = window.getComputedStyle(parent).position;
                document.getElementById('top').value = parseFloat(window.getComputedStyle(parent).top) || '';
                document.getElementById('top-display').value = parseFloat(window.getComputedStyle(parent).top) || '';
                document.getElementById('left').value = parseFloat(window.getComputedStyle(parent).left) || '';
                document.getElementById('left-display').value = parseFloat(window.getComputedStyle(parent).left) || '';
                document.getElementById('width').value = parseFloat(window.getComputedStyle(parent).width) || '';
            }
        }
    }

    editor.addEventListener('click', updateInputs);

    document.getElementById('font-family').addEventListener('change', (e) => {
        applyStyle('fontFamily', e.target.value);
    });

    document.getElementById('font-size').addEventListener('input', (e) => {
        let size = `${e.target.value}em`;
        applyStyle('fontSize', size);
        document.getElementById('font-size-display').value = size;
    });

    document.getElementById('font-color').addEventListener('input', (e) => {
        applyStyle('color', e.target.value);
    });

    document.getElementById('background-color').addEventListener('input', (e) => {
        applyStyle('backgroundColor', e.target.value);
    });

    document.getElementById('position').addEventListener('input', (e) => {
        applyStyle('position', e.target.value);
        let display = $('.display-position');
        e.target.value === 'absolute' ? display.slideDown() : display.slideUp();
    });

    document.getElementById('top').addEventListener('input', (e) => {
        let position = `${e.target.value}%`;
        applyStyle('top', position);
        document.getElementById('top-display').value = position;
    });

    document.getElementById('left').addEventListener('input', (e) => {
        let position = `${e.target.value}%`;
        applyStyle('left', position);
        document.getElementById('left-display').value = position;
    });

    document.getElementById('width').addEventListener('input', (e) => {
        let position = `${e.target.value}%`;
        applyStyle('width', position);
        document.getElementById('width-display').value = position;
    });

    // Modo área de trabalho
    document.getElementById('mode').addEventListener('input', ev => {
        editor.classList.add(ev.target.checked ? 'portrait' : 'landscape');
        editor.classList.remove(ev.target.checked ? 'landscape' : 'portrait');
    });

    document.getElementById('generate-pdf').addEventListener('click', async function () {
        let content = editor.innerHTML;
        let formData = new FormData();
        formData.append('save', true);
        formData.append('configuracoes', content);
        formData.append('mode', document.getElementById('mode').checked ? 'portrait' : 'landscape');
        try {
            const response = await ajaxRequest.post(currentUrl.pathname, formData);
            console.log(response);

        } catch (error) {
            console.error('Erro ao fazer POST:', error);
        }
    });

    document.getElementById('visualizar-pdf').addEventListener('click', function () {
        const form = document.createElement('form');
        form.method = 'POST';
        form.action = currentUrl.pathname;
        form.target = '_blank';
        const params = {
            configuracoes: editor.innerHTML,
            mode: document.getElementById('mode').checked ? 'portrait' : 'landscape'
        };

        for (const key in params) {
            if (params.hasOwnProperty(key)) {
                const hiddenField = document.createElement('input');
                hiddenField.type = 'hidden';
                hiddenField.name = key;
                hiddenField.value = params[key];
                form.appendChild(hiddenField);
            }
        }
        document.body.appendChild(form);
        form.submit();
        document.body.removeChild(form);
    });

    document.querySelectorAll('input[type=file]').forEach(input => {
        input.addEventListener('input', function () {
            const file = this.files[0];
            if (file) {
                swal.showLoading();
                upload(this.id, file);
            }
        });
    })

    async function upload(name, file) {
        const formData = new FormData();
        formData.append('modelos_id', <?=$entity->id?>);
        formData.append(name, file);
        try {
            const response = await ajaxRequest.post('<?=url_to('dash.to', 'certificados/upload')?>', formData);
            if (response.data.frente !== null && response.success) {
                const elemento = document.querySelector('.a4');
                const urlBase = "<?=url_to('arquivo.imagem', '')?>";
                elemento.style.backgroundImage = `url("${urlBase + response.data.frente}")`;
            }
            swal.fire({
                text: response.message ?? "ERRO!",
                icon: response.success ? "success" : "error",
                toast: true,
                showConfirmButton: false,
                timer: !response.success ? 5000 : 1000,
                timerProgressBar: true,
            });
        } catch (error) {
            console.error('Erro ao fazer POST:', error);
        }
    }
</script>
<?= $this->endSection() ?>
