<?php

use App\Enums\MetodosPagamentoEnum;
use App\Libraries\Creditos;

?>
<div class="col-12">
    <p class="lead">
        <?= t('Selecione um método de págamento') ?>
    </p>

    <div class="row g-3 justify-content-center">
        <div class="col-md-4">
            <?= view_cell('App\Cells\ProdutoDetalheCell', ['produto' => $produto ?? null, 'selected' => true]) ?>
        </div>
        <div class="col-md-8">
            <div class="accordion accordion-flush" id="metodosPagemento">
                <?php foreach ($metodosPagemento as $metodoPagamento): ?>
                    <div class="accordion-item text-bg-dark">
                        <h2 class="accordion-header">
                            <button class="accordion-button collapsed text-bg-dark" type="button"
                                    data-bs-toggle="collapse" aria-expanded="false"
                                    data-bs-target="#<?= $metodoPagamento->componente . $metodoPagamento->id ?>"
                                    aria-controls="<?= $metodoPagamento->componente . $metodoPagamento->id ?>">
                                <?= MetodosPagamentoEnum::icone($metodoPagamento->componente) ?>
                                <?= tf('Pagar com %s', MetodosPagamentoEnum::componente($metodoPagamento->componente)) ?>
                            </button>
                        </h2>
                        <div id="<?= $metodoPagamento->componente . $metodoPagamento->id ?>"
                             class="accordion-collapse collapse" data-bs-parent="#metodosPagemento">
                            <div class="accordion-body">
                                <div class="card card-body">
                                    <?= MetodosPagamentoEnum::form($metodoPagamento, $produto) ?>
                                </div>
                            </div>
                        </div>
                    </div>
                <?php endforeach; ?>
            </div>
        </div>
    </div>
</div>
<script type="module">
    function abrirNovaAba(url) {
        var novaAba = window.open(url, '_blank');
        if (!novaAba || novaAba.closed || typeof novaAba.closed == 'undefined') {
            alert('Pop-up bloqueado! Por favor, habilite pop-ups para este site.');
        } else {
            window.location.href = '<?= Creditos::urlComprar() ?>';
        }
    }

    document.addEventListener('DOMContentLoaded', (event) => {
        document.querySelectorAll('.payment-method')?.forEach(btn => {
            btn.addEventListener('click', ev => {
                ev.preventDefault();
                abrirNovaAba(ev.currentTarget.href);
            })
        })
    });

</script>