<?= $this->extend('dashboard/_layout') ?>

<?= $this->section('content') ?>

<div class="container-fluid">
    <div class="row g-3">
        <div class="col-12 d-flex justify-content-between align-items-center">
            <h1><?= t('Extrato') ?></h1>
            <!--
            <div class="btn-toolbar" role="toolbar" aria-label="<?= t('Barra de ferramentas com grupos de botões') ?>">
                <div class="btn-group btn-group-sm" role="group" aria-label="<?= t('Grupo padrão') ?>">
                    <a href="<?= current_url() . "/novo" ?>" class="btn btn-theme">
                        <i class="bi bi-plus me-1"></i>
                        <?= t('Novo') ?>
                    </a>
                </div>
            </div>
            -->
        </div>
        <div class="col-12">
            <div class="card card-body">
                <div class="table-responsive">
                    <table id="tbl" class="table table-dark table-hover table-striped" style="width: 100%"></table>
                </div>
            </div>
        </div>
    </div>
</div>

<?= $this->endSection() ?>

<?= $this->section('js') ?>
<script type="module">
    import {AjaxRequest} from '/assets/js/AjaxRequest.js';
    import {DataTableButtons} from '/assets/js/DataTableButtons.js';

    const ajaxRequest = new AjaxRequest();
    const currentUrl = new URL(window.location.href);

    moment.locale(LOCALE.toLowerCase());

    const table = new DataTable('#tbl', {
        responsive: true,
        processing: true,
        search: {
            return: true
        },
        serverSide: true,
        language: {
            url: `/assets/i18n/${LOCALE}.json`,
        },
        ajax: {
            url: '<?=url_to('dash.to', 'creditos/datatable')?>',
            headers: {
                'X-Requested-With': 'XMLHttpRequest',
                'Authorization': `Bearer ${ajaxRequest.jwt()}`
            },
            type: 'POST',
            data: function (d) {
                d.origem = 'clientes_credito_historico';
                d.clientes_id = ajaxRequest.userData()?.id;
            }
        },
        order: [[0, 'desc']],
        columns: [
            {name: 'id', data: 'id', title: '#'},
            {
                name: 'created_at', data: 'created_at', title: '<?=t('Data')?>', render: (data) => {
                    return moment(data).format('L HH:mm');
                }
            },
            {name: 'saldo', data: 'saldo', title: '<?=t('Crédito atual')?>'},
            {name: 'saldo_anterior', data: 'saldo_anterior', title: '<?=t('Crédito anterior')?>'},
            {name: 'acao', data: 'acao', title: '<?=t('Ação')?>'}
        ]
    });
</script>
<?= $this->endSection() ?>
