<div class="col-12" id="notificacao"></div>
<div class="col-12">
    <div class="card card-body">
        <?php if (isset($fromCompra) && $fromCompra === true): ?>
            <div class="alert alert-info"><?= t('Para continuar, por favor, preencha completamente seu perfil.') ?></div>
        <?php endif; ?>
        <form id="minhaContaPerfil" action="<?= url_to('dash.to', 'minha-conta/perfil') ?>" class="row g-3"
              method="post"
              enctype="multipart/form-data">
            <div class="col-md-2">
                <label for="documento" class="form-label"><?= t('Documento') ?></label>
                <select id="documento" name="documento" class="form-select">
                    <option value=""><?= t('Selecione...') ?></option>
                    <?php foreach (\App\Enums\DocumentosTiposEnum::documentos() as $tipo): ?>
                        <option value="<?= $tipo->value ?>" <?= isset($perfil->documento) && $perfil->documento == $tipo->value ? 'selected' : '' ?>><?= $tipo->value ?></option>
                    <?php endforeach; ?>
                </select>
            </div>
            <div class="col-md-4">
                <label for="documento_numero" class="form-label"><?= t('Número') ?></label>
                <input id="documento_numero" name="documento_numero" type="text" class="form-control"
                       value="<?= $perfil->documento_numero ?? null ?>">
            </div>
            <div class="col-md-3">
                <label for="celular" class="form-label"><?= t('Telefone celular') ?></label>
                <div class="input-group">
                    <input id="celular" name="contatos[celular][numero]" type="text" class="form-control"
                           value="<?= $perfil->contatos->celular->numero ?? null ?>">
                    <div class="input-group-text">
                        <input id="whatsapp" name="contatos[celular][whatsapp]" class="form-check-input"
                               type="checkbox"
                               value="true" <?= isset($perfil->contatos->celular->whatsapp) && $perfil->contatos->celular->whatsapp == 'true' ? "checked" : "" ?>>
                        <label for="whatsapp"
                               class="form-check-label ms-1">whatsapp</label>
                    </div>
                </div>
            </div>
            <div class="col-md-3">
                <label for="residencial" class="form-label"><?= t('Telefone residencial') ?></label>
                <input id="residencial" name="contatos[residencial]" type="text" class="form-control"
                       value="<?= $perfil->contatos->residencial ?? null ?>">
            </div>

            <?php foreach (['residencial' => 'residencial', 'cobrança' => 'cobranca'] as $tipoEnderecoKey => $tipoEndereco): ?>
                <div class="col-md-6" id="<?= "endereco_$tipoEndereco" ?>">
                    <div class="row g-3 cep-parent">
                        <div class="col-12">
                            <h5 class="small mt-2"><?= t('Endereço ' . $tipoEnderecoKey) ?></h5>
                        </div>

                        <div class="col-md-3">
                            <label for="<?= "endereco_{$tipoEndereco}_" ?>cep"
                                   class="form-label"><?= t('CEP') ?></label>
                            <input id="<?= "endereco_{$tipoEndereco}_" ?>cep"
                                   name="<?= "enderecos[{$tipoEndereco}][cep]" ?>" type="text"
                                   class="form-control cep"
                                   value="<?= $perfil->enderecos->{$tipoEndereco}->cep ?? null ?>">
                        </div>

                        <div class="col-md-4">
                            <label for="<?= "endereco_{$tipoEndereco}_" ?>logradouro"
                                   class="form-label"><?= t('Endereço') ?></label>
                            <input id="<?= "endereco_{$tipoEndereco}_" ?>logradouro"
                                   name="<?= "enderecos[{$tipoEndereco}][logradouro]" ?>" type="text"
                                   class="form-control"
                                   value="<?= $perfil->enderecos->{$tipoEndereco}->logradouro ?? null ?>">
                        </div>

                        <div class="col-md-2">
                            <label for="<?= "endereco_{$tipoEndereco}_" ?>numero"
                                   class="form-label"><?= t('Número') ?></label>
                            <input id="<?= "endereco_{$tipoEndereco}_" ?>numero"
                                   name="<?= "enderecos[{$tipoEndereco}][numero]" ?>" type="text"
                                   class="form-control"
                                   value="<?= $perfil->enderecos->{$tipoEndereco}->numero ?? null ?>">
                        </div>

                        <div class="col-md-3">
                            <label for="<?= "endereco_{$tipoEndereco}_" ?>complemento"
                                   class="form-label"><?= t('Complemento') ?></label>
                            <input id="<?= "endereco_{$tipoEndereco}_" ?>complemento"
                                   name="<?= "enderecos[{$tipoEndereco}][complemento]" ?>" type="text"
                                   class="form-control"
                                   value="<?= $perfil->enderecos->{$tipoEndereco}->complemento ?? null ?>">
                        </div>

                        <div class="col-md-3">
                            <label for="<?= "endereco_{$tipoEndereco}_" ?>bairro"
                                   class="form-label"><?= t('Bairro') ?></label>
                            <input id="<?= "endereco_{$tipoEndereco}_" ?>bairro"
                                   name="<?= "enderecos[{$tipoEndereco}][bairro]" ?>" type="text"
                                   class="form-control"
                                   value="<?= $perfil->enderecos->{$tipoEndereco}->bairro ?? null ?>">
                        </div>

                        <div class="col-md-3">
                            <label for="<?= "endereco_{$tipoEndereco}_" ?>localidade"
                                   class="form-label"><?= t('Cidade / Localidade') ?></label>
                            <input id="<?= "endereco_{$tipoEndereco}_" ?>localidade"
                                   name="<?= "enderecos[{$tipoEndereco}][localidade]" ?>" type="text"
                                   class="form-control"
                                   value="<?= $perfil->enderecos->{$tipoEndereco}->localidade ?? null ?>">
                        </div>

                        <div class="col-md-3">
                            <label for="<?= "endereco_{$tipoEndereco}_" ?>uf"
                                   class="form-label"><?= t('Estado (UF)') ?></label>
                            <input id="<?= "endereco_{$tipoEndereco}_" ?>uf"
                                   name="<?= "enderecos[{$tipoEndereco}][uf]" ?>" type="text"
                                   maxlength="2"
                                   class="form-control"
                                   value="<?= $perfil->enderecos->{$tipoEndereco}->uf ?? null ?>">
                        </div>

                        <div class="col-md-3">
                            <label for="<?= "endereco_{$tipoEndereco}_" ?>pais"
                                   class="form-label"><?= t('País') ?></label>
                            <input id="<?= "endereco_{$tipoEndereco}_" ?>pais"
                                   name="<?= "enderecos[{$tipoEndereco}][pais]" ?>" type="text"
                                   class="form-control"
                                   value="<?= $perfil->enderecos->{$tipoEndereco}->pais ?? t('Brasil') ?>">
                        </div>

                    </div>
                </div>

                <?php if ($tipoEndereco !== 'residencial'): ?>
                    <div class="col-md-12">
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" id="repetir_cobranca"
                                   name="<?= "enderecos[{$tipoEndereco}][repetir_cobranca]" ?>">
                            <label class="form-check-label" for="repetir_cobranca">
                                <?= t('Endereço de cobrança é o do residencial') ?>
                            </label>
                        </div>
                    </div>
                <?php endif; ?>

            <?php endforeach; ?>
            <div class="col-12">
                <button type="submit" class="btn btn-theme">
                    <i class="bi bi-floppy me-1"></i>
                    <?= t('Salvar') ?>
                </button>
            </div>
        </form>
    </div>
</div>

<script type="module">
    import {AjaxRequest} from '/assets/js/AjaxRequest.js';
    import {formSubmit, populateForm} from '/assets/js/Global.js';

    let formName = 'form[id=minhaContaPerfil]';
    formSubmit(formName, 'notificacao');

    const ajaxRequest = new AjaxRequest();

    document.getElementById('repetir_cobranca').addEventListener('input', ev => {
        let endereco_cobranca = document.getElementById('endereco_cobranca');
        if (ev.currentTarget.checked) {
            endereco_cobranca.classList.add('d-none');
        } else {
            endereco_cobranca.classList.remove('d-none');
        }
    });

    document.addEventListener('DOMContentLoaded', (event) => {
        document.querySelectorAll('.cep').forEach(input => {
            if (input) {
                input.addEventListener('input', function (e) {
                    this.value = formatCep(this.value);
                });
                input.value = formatCep(input.value);
                input.addEventListener('input', async ev => {
                    let cep = ev.currentTarget.value.replace(/\D/g, '');
                    let inputs = ev.currentTarget.closest('.cep-parent').querySelectorAll('input');
                    if (cep.length >= 8) {
                        try {
                            let data = await ajaxRequest.get('<?=url_to('dash.to', 'api/cep/')?>' + cep);
                            inputs.forEach(el => {
                                let item = el.id.split('_').at(-1);
                                if (data[item]) {
                                    el.value = data[item];
                                }
                            });
                        } catch (e) {
                            console.log(e)
                        }
                    }
                });
            }
        });
    });

    function formatCep(value) {
        value = value.replace(/\D/g, '');
        if (value.length > 5) {
            value = value.replace(/^(\d{2})(\d{3})(\d{3}).*/, '$1.$2-$3');
        } else if (value.length > 2) {
            value = value.replace(/^(\d{2})(\d{3}).*/, '$1.$2');
        }
        return value;
    }
</script>