Para gerar uma chave pública e uma chave privada usando OpenSSL com o algoritmo RS256, siga os passos abaixo. Esses
comandos funcionarão em um terminal Unix/Linux ou no Git Bash no Windows.

### 1. Gerar a Chave Privada

Para gerar a chave privada de 2048 bits usando RSA, execute:

```sh
openssl genpkey -algorithm RSA -out private_key.pem -pkeyopt rsa_keygen_bits:2048
```

### 2. Extrair a Chave Pública

Para extrair a chave pública a partir da chave privada gerada, execute:

```sh
openssl rsa -pubout -in private_key.pem -out public_key.pem
```

### 3. Verificar as Chaves (opcional)

Para verificar o conteúdo da chave privada, execute:

```sh
openssl pkey -in private_key.pem -text -noout
```

Para verificar o conteúdo da chave pública, execute:

```sh
openssl pkey -pubin -in public_key.pem -text -noout
```

### Explicação dos Comandos

1. **Gerar a chave privada**:
    - `openssl genpkey`: Comando para gerar uma chave privada.
    - `-algorithm RSA`: Especifica o algoritmo RSA.
    - `-out private_key.pem`: Especifica o arquivo de saída para a chave privada.
    - `-pkeyopt rsa_keygen_bits:2048`: Define o tamanho da chave como 2048 bits.

2. **Extrair a chave pública**:
    - `openssl rsa -pubout`: Comando para processar chaves RSA e extrair a chave pública.
    - `-in private_key.pem`: Especifica o arquivo de entrada como a chave privada gerada.
    - `-out public_key.pem`: Especifica o arquivo de saída para a chave pública.

Com esses passos, você terá gerado uma chave privada (`private_key.pem`) e uma chave pública (`public_key.pem`) usando o
algoritmo RS256.