import { Html } from './Html.js';
export class DataTableButtons {
    constructor(data, type, row, meta) {
        this._type = 'display';
        this.buttons = [];
        this.data = data;
        this.type = type;
        this.row = row;
        this.meta = meta;
    }
    static init(data, type, row, meta) {
        return new DataTableButtons(data, type, row, meta);
    }
    add(label, url, icon = null, className = null) {
        const i = Html.createElement('i', { class: icon }), a = Html.createElement('a', { class: `dropdown-item ${className}`, href: url }), li = Html.createElement('li');
        if (icon) {
            a.appendChild(i);
        }
        a.append(label);
        li.appendChild(a);
        this.buttons.push(li);
        return this;
    }
    divider() {
        const hr = Html.createElement('hr', { class: 'dropdown-divider' }), li = Html.createElement('li', null, hr);
        this.buttons.push(li);
        return this;
    }
    render(label = null) {
        const icon = Html.createElement('i', { class: "bi bi-three-dots" }), dropdownToggle = Html.createElement('button', {
            class: 'btn btn-sm btn-theme dropdown-toggle',
            type: 'button',
            'data-bs-toggle': 'dropdown',
            'aria-expanded': 'false'
        }, label !== null && label !== void 0 ? label : icon), dropdown = Html.createElement('div', { class: "dropdown" }, dropdownToggle), dropdownMenu = Html.createElement('ul', { class: "dropdown-menu" });
        this.buttons.forEach(button => dropdownMenu.appendChild(button));
        dropdown.appendChild(dropdownMenu);
        return dropdown.outerHTML;
    }
    get data() {
        return this._data;
    }
    set data(value) {
        this._data = value;
    }
    get type() {
        return this._type;
    }
    set type(value) {
        this._type = value;
    }
    get row() {
        return this._row;
    }
    set row(value) {
        this._row = value;
    }
    get meta() {
        return this._meta;
    }
    set meta(value) {
        this._meta = value;
    }
}
