type elementAttribute = {
    [key: string]: any | null;
};

export class Html {
    public static createElement(elementName: string, attributes: elementAttribute | null = null, value: HTMLElement | string | null = null): HTMLElement {
        const element: HTMLElement = document.createElement(elementName);
        if (attributes !== null) {
            const attributesAsArray: [string, string | null][] = Object.entries(attributes);
            attributesAsArray.forEach(([key, value]) => element.setAttribute(key, value ?? ''));
        }
        if (value !== null) {
            if (typeof value === 'string') {
                element.append(value);
            } else {
                element.appendChild(value);
            }
        }
        return element;
    };
}